osso-systemui (0.1.9.1) unstable; urgency=low

  * hide window before unraising it, avoiding desktop widget flickering. Fixes: NB#79100

 -- Philippe De Swert <philippe.de-swert@nokia.com>  Wed, 16 Jan 2008 12:20:32 +0200

osso-systemui (0.1.9.0) unstable; urgency=low

  * Hide all widgets when trying to hide the window to avoid flickering. Fixes: NB#76601

 -- Philippe De Swert <philippe.de-swert@nokia.com>  Wed, 12 Dec 2007 16:59:44 +0200

osso-systemui (0.1.8.7) unstable; urgency=low

  * Don't initialize threads. Fixes: NB#70880

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Thu,  4 Oct 2007 10:34:43 +0300

osso-systemui (0.1.8.6) unstable; urgency=low

  * Make systemUI start up earlier when booting to acting dead. Fixes:
    NB#68962

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 18 Sep 2007 11:57:04 +0300

osso-systemui (0.1.8.5) unstable; urgency=low

  * Add osso-systemui-dbg package. Fixes: NB#65726

 -- Ismo Laitinen <ismo.laitinen@nokia.com>  Wed, 15 Aug 2007 13:24:19 +0300

osso-systemui (0.1.8.4) unstable; urgency=low

  * Change init sequence number. Fixes: NB#60088

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 11 Jun 2007 09:27:52 +0300

osso-systemui (0.1.8.3) unstable; urgency=low

  * Listen for locale change signal. Fixes: NB#55687

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon,  4 Jun 2007 08:27:39 +0300

osso-systemui (0.1.8.2) unstable; urgency=low

  * Symlink .icons from user's home dir to systemui's. Fixes: NB#35627

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon,  7 May 2007 15:14:55 +0300

osso-systemui (0.1.8.1) unstable; urgency=low

  * Send error replies. Fixes: NB#50242

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 16 Apr 2007 13:53:53 +0300

osso-systemui (0.1.8.0) unstable; urgency=low

  * Remove deprecated bits

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 15 Jan 2007 14:10:18 +0200

osso-systemui (0.1.7.0) unstable; urgency=low

  * Separate dbus names to their own package.
  * Use pidof instead of a dozen pipes. Fixes: NB#41092

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 25 Sep 2006 12:33:35 +0300

osso-systemui (0.1.6.6) unstable; urgency=low

  * Use keep above stacking layer for all windows. Fixes: NB#38848.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed,  6 Sep 2006 11:52:12 +0300

osso-systemui (0.1.6.5) unstable; urgency=low

  * Uhm, changing adduser to useradd doesn't reduce the dependencies
    if you don't remove the Depends: adduser...
  * debian/rules: Removed unused dh_-rules 

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 11 Aug 2006 10:14:51 +0300

osso-systemui (0.1.6.4) unstable; urgency=low

  * Aughhhh, this just isn't my day.  Fix typo in previous fix.

 -- David Weinehall <david.weinehall@nokia.com>  Mon,  7 Aug 2006 16:54:13 +0300

osso-systemui (0.1.6.3) unstable; urgency=low

  * Actually, both would've worked if I'd just placed the #define
    in the right place.

 -- David Weinehall <david.weinehall@nokia.com>  Mon,  7 Aug 2006 16:19:48 +0300

osso-systemui (0.1.6.2) unstable; urgency=low

  * Doh.  That was the wrong solution, of course...
    #define _XOPEN_SOURCE_EXTENDED instead.

 -- David Weinehall <david.weinehall@nokia.com>  Mon,  7 Aug 2006 15:25:39 +0300

osso-systemui (0.1.6.1) unstable; urgency=low

  * #define _XOPEN_SOURCE 600 in src/main.c.  Fixes: NB#36889

 -- David Weinehall <david.weinehall@nokia.com>  Mon,  7 Aug 2006 14:21:42 +0300

osso-systemui (0.1.6.0) unstable; urgency=low

  * Fix receiving dbus messages with no parameters. Fixes: NB#33981

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed,  5 Jul 2006 11:13:10 +0300

osso-systemui (0.1.5.17) unstable; urgency=low

  * User useradd instead of adduser.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed,  7 Jun 2006 11:59:41 +0300

osso-systemui (0.1.5.16) unstable; urgency=low

  * Make initscript more POSIX compliant.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Fri, 12 May 2006 18:06:31 +0300

osso-systemui (0.1.5.15) unstable; urgency=low

  * Bug N#29257: Start systemui later, if possible.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Fri, 12 May 2006 13:14:34 +0300

osso-systemui (0.1.5.14) unstable; urgency=low

  * Fix postinst script.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Thu,  4 May 2006 12:40:29 +0300

osso-systemui (0.1.5.13) unstable; urgency=low

  * Bug N#28125: Fix gtk_grabs.
  * Fix lintian warnings.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed,  3 May 2006 16:30:54 +0300

osso-systemui (0.1.5.12) unstable; urgency=low

  * Bug N#28031: Thumb code generation.
  * Clean up autotools scripts.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Fri, 28 Apr 2006 11:21:50 +0300

osso-systemui (0.1.5.11) unstable; urgency=low

  * Move dependency on adduser to osso-systemui instead of -dev.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed, 12 Apr 2006 11:23:21 +0300

osso-systemui (0.1.5.10) unstable; urgency=low

  * Bug N#26217: Start SystemUI up in the background.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed, 12 Apr 2006 11:05:53 +0300

osso-systemui (0.1.5.9) unstable; urgency=low

  * Wrong version conflict on tklock.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 10 Apr 2006 12:09:40 +0300

osso-systemui (0.1.5.8) unstable; urgency=low

  * Bug N#21548: Remove pointer and keyboard grabs.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 10 Apr 2006 12:00:59 +0300

osso-systemui (0.1.5.7) unstable; urgency=low

  * Add dependency on adduser.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Thu,  6 Apr 2006 10:14:32 +0300

osso-systemui (0.1.5.6) unstable; urgency=low

  * Revert ndm.
  * N#25750: Move gtk_grab from tklock to here.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed,  5 Apr 2006 15:24:05 +0300

osso-systemui (0.1.5.5) unstable; urgency=low

  * Move init scripts from rcX.d to /etc/ndm/session.d.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Fri, 17 Mar 2006 16:44:15 +0200

osso-systemui (0.1.5.4) unstable; urgency=low

  * Don't depend on dbus-glib, but dbus itself.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Fri, 17 Mar 2006 16:43:00 +0200

osso-systemui (0.1.5.3) unstable; urgency=low

  * Convert changelog to UTF-8.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Thu,  9 Mar 2006 15:44:19 +0200

osso-systemui (0.1.5.2) unstable; urgency=low

  * Fix Bug N#23211: Fix method call replying.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Thu, 23 Feb 2006 14:03:14 +0200

osso-systemui (0.1.5.1) unstable; urgency=low

  * Don't die if plugin dir doesn't exists.
  * Create the plugin directory.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed, 11 Jan 2006 15:20:05 +0200

osso-systemui (0.1.5.0) unstable; urgency=low

  * DBus 0.50.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Thu,  1 Dec 2005 11:06:26 +0200

osso-systemui (0.1.4.26) unstable; urgency=low

  * Revert .25 changes, they caused problems with home.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed,  2 Nov 2005 16:18:15 +0200

osso-systemui (0.1.4.25) unstable; urgency=low

  * Setting windows not to accept focus no longer necessary.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Thu, 27 Oct 2005 14:48:35 +0300

osso-systemui (0.1.4.24) unstable; urgency=low

  * Bug #20537: Fix valgrind error.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Thu, 13 Oct 2005 16:27:32 +0300

osso-systemui (0.1.4.23) unstable; urgency=low

  * Fix authors and contact persons.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Fri,  7 Oct 2005 13:53:38 +0300

osso-systemui (0.1.4.22) unstable; urgency=low

  * Bug 19234: properly align and hide 'theme' window on expose.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed, 14 Sep 2005 17:21:00 +0300

osso-systemui (0.1.4.21) unstable; urgency=low

  * Fix theming bug.
  * Bugs 19158/19170: Fix leaks.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed, 14 Sep 2005 09:15:41 +0300

osso-systemui (0.1.4.20) unstable; urgency=low

  * Use task navigator non responding app killing method.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 13 Sep 2005 09:59:30 +0300

osso-systemui (0.1.4.19) unstable; urgency=low

  * Change HOME=/home/user to HOME=/tmp in initscript

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 12 Sep 2005 15:43:47 +0300

osso-systemui (0.1.4.18) unstable; urgency=low

  * Run as user systemui instead of messagebus.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Fri,  9 Sep 2005 14:23:56 +0300

osso-systemui (0.1.4.17) unstable; urgency=low

  * Bug #16197: Use messagebus user for non-failing memory operations.
  * Add -export-dynamic to LDFLAGS.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Thu,  8 Sep 2005 10:29:05 +0300

osso-systemui (0.1.4.16) unstable; urgency=low

  [ Pablo Virolainen ]
  * Fixed 14207

  [ David Weinehall ]
  * Applied proper fix for 15151
    | Thanks to Kimmo Hämäläinen

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 22 Jul 2005 09:50:22 +0300

osso-systemui (0.1.4.15) unstable; urgency=low

  * gthread enabled for splashscreen
  * Fixed 15151

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Tue,  5 Jul 2005 13:20:02 +0300

osso-systemui (0.1.4.14) unstable; urgency=low

  * Fixed 'windows jumping around the screen' caused by 14444 fix

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Mon, 27 Jun 2005 09:34:04 +0300

osso-systemui (0.1.4.13) unstable; urgency=low

  * Fixed 14444 

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Wed, 15 Jun 2005 15:33:48 +0300

osso-systemui (0.1.4.12) unstable; urgency=low

  * Fixed 14306, 14319

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Tue, 14 Jun 2005 14:21:36 +0300

osso-systemui (0.1.4.11) unstable; urgency=low

  * Fixed bug id 13906 

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Wed,  8 Jun 2005 14:16:47 +0300

osso-systemui (0.1.4.10) unstable; urgency=low

  * Added sigterm handler

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Wed,  8 Jun 2005 13:20:47 +0300

osso-systemui (0.1.4.9) unstable; urgency=low

  * Added HOME environment variable setting to disable ESD/DSP problems

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Thu, 12 May 2005 09:22:29 +0300

osso-systemui (0.1.4.8) unstable; urgency=low

  * Changed start and stop levels to 26 and 74
  * Removed -DDEBUG fron CFLAGS

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Wed, 11 May 2005 09:05:35 +0300

osso-systemui (0.1.4.7) unstable; urgency=low

  * Override to GTK_WINDOW->map added

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Fri,  6 May 2005 15:11:30 +0300

osso-systemui (0.1.4.6) unstable; urgency=low

  * Fixed crash on some callbacks.
  * -

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Fri,  6 May 2005 15:11:28 +0300

osso-systemui (0.1.4.5) unstable; urgency=low

  * plugin interface typo fixed

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Fri, 29 Apr 2005 14:07:21 +0300

osso-systemui (0.1.4.4) unstable; urgency=low

  * Fixed plugin loading error report

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Fri, 29 Apr 2005 10:50:18 +0300

osso-systemui (0.1.4.3) unstable; urgency=low

  * Uses dsme lifeguard and doesn't run with root permissions

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Tue, 19 Apr 2005 08:49:04 +0300

osso-systemui (0.1.4.2) unstable; urgency=low

  * The "Doh! *slaps forehead*" release

 -- David Weinehall <david.weinehall@nokia.com>  Mon,  4 Apr 2005 17:17:44 +0300

osso-systemui (0.1.4.1) unstable; urgency=low

  * Non-maintainer upload
  * Remove evil bash:isms

 -- David Weinehall <david.weinehall@nokia.com>  Mon,  4 Apr 2005 15:53:39 +0300

osso-systemui (0.1.4) unstable; urgency=low

  * Key repeat disabled, when systemui component is active 

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Thu, 31 Mar 2005 11:56:21 +0300

osso-systemui (0.1.3) unstable; urgency=low

  * Uncommented clean in debian/rules for fix to bug 8625

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Wed, 30 Mar 2005 14:23:13 +0300

osso-systemui (0.1.2) unstable; urgency=low

  * Fixed double unref (caused assertion `G_IS_OBJECT (object)' failed at
    startup)

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Mon, 21 Mar 2005 15:55:33 +0200

osso-systemui (0.1.1) unstable; urgency=low

  * It was monday, and this is tuesdays typofix round

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Tue,  8 Mar 2005 12:19:12 +0200

osso-systemui (0.1) unstable; urgency=low

  * Small bugfixes

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Mon,  7 Mar 2005 19:10:58 +0200

osso-systemui (0.0.3.8) unstable; urgency=low

  * migration to Gtk Icon theme API

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Wed,  2 Mar 2005 09:11:10 +0200

osso-systemui (0.0.3.7) unstable; urgency=low

  * This time really send the started signal to signal if.

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Tue,  1 Mar 2005 15:56:05 +0200

osso-systemui (0.0.3.6) unstable; urgency=low

  * Added dependencies for BugID 6615

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Tue,  1 Mar 2005 10:02:34 +0200

osso-systemui (0.0.3.5) unstable; urgency=low

  * Added boolean to supported dbus return values

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Thu, 24 Feb 2005 14:27:57 +0200

osso-systemui (0.0.3.4) unstable; urgency=low

  * Some fixes to flickering priority updates
  * debian package dependency update

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Fri, 18 Feb 2005 10:36:45 +0200

osso-systemui (0.0.3.3) unstable; urgency=low

  *  Fixed modality. Now key press goes to toplevel window.

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Fri, 11 Feb 2005 10:10:12 +0200

osso-systemui (0.0.3.2) unstable; urgency=low

  * Fixed --daemon

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Wed,  9 Feb 2005 12:22:07 +0200

osso-systemui (0.0.3.1) unstable; urgency=low

  * toni.leppanen's comments taken into account

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Mon,  7 Feb 2005 14:45:55 +0200

osso-systemui (0.0.3) unstable; urgency=low

  * Fixed callback signal sending. 

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Wed,  2 Feb 2005 11:43:23 +0200

osso-systemui (0.0.2-2) unstable; urgency=low

  * Added doxygen chech to configure
  * Added target docs to build doxugen documentation
    

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Thu, 27 Jan 2005 13:01:11 +0200

osso-systemui (0.0.2-1) unstable; urgency=low

  * Added Doxygen documentation 

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Wed, 26 Jan 2005 10:58:25 +0200

osso-systemui (0.0.2) unstable; urgency=low

  * Version delivered to UI testing 

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Mon, 24 Jan 2005 14:20:14 +0200

osso-systemui (0.0.1-4) unstable; urgency=low

  * Fixed an other memory leak and inproper dialog order 

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Fri, 21 Jan 2005 16:01:27 +0200

osso-systemui (0.0.1-3) unstable; urgency=low

  * fixed debian/rules and debian/control so that osso-systemui and
    osso-systemui-dev packages doesn't contain all files.
  * Some memory leaks fixed.

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Tue,  4 Jan 2005 10:46:21 +0200

osso-systemui (0.0.1-2) unstable; urgency=low

  * fixed debian/rules file. Now debian packages actually contain something

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Wed, 15 Dec 2004 11:50:47 +0200

osso-systemui (0.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Tue, 14 Dec 2004 14:57:20 +0200
